TUNELP(8)

NOM
tunelp - Configurer divers paramètres de périphérique lp

SYNOPSIS
tunelp périphérique [-i IRQ] [-t temps] [-c caractères] [-w attente] [-a {on|off}] [-o {on|off}] [-C {on|off}] [-r] [-s] [-q {on|off}] [-T {on|off}]

DESCRIPTION
tunelp configure divers paramètres pour les périphériques /dev/lp?, pour de meilleurs performances (ou pour tout type de performances, si l'imprimante ne fonctionne pas sans…) Sans paramètre, il indique si le périphérique utilise des interruptions, et si oui, lesquelles. Avec des paramètres, il définit les caractéristiques du périphérique en conséquence. Les paramètres sont les suivants.

-i IRQ
    Indiquer l'IRQ à utiliser pour le port parallèle en question. Si c'est configuré à une valeur non nulle, -t et -c ne servent à rien. Si le port n'utilise pas d'interruption, cette option arrêtera l'impression. La commande tunelp -i 0 restaure l'action pilotée sans interruption (par polling), et l'imprimante devrait refonctionner. Si le port parallèle ne prend pas en charge les interruptions, les impressions pilotées par interruption devraient être un peu plus rapides et efficaces, ce qui est sans doute préférable.

    Remarque : cette option n'a d'effet que sur le noyau 2.1.131 et les noyaux plus récents puisque l'IRQ est gérée par le pilote parport. L'IRQ de parport peut être modifiée par exemple avec /proc/parport/*/irq. Consultez /usr/src/linux/Documentation/parport.txt pour plus de précisions sur parport.

-t temps
    Le temps en centième de seconde d'attente du pilote si l'imprimante ne prend pas un caractère pour le nombre d'essais dédiés au paramètre -c. 10 est la valeur par défaut. Pour une impression la plus rapide possible, si la charge du système n'est pas un problème, vous pourriez le définir à 0. Si la vitesse d'impression n'est pas un problème, ou pour imprimer du texte sur une imprimante lente avec tampon, alors 500 (5 secondes) devrait convenir, avec une très faible charge du système. Cette valeur devrait normalement être environ dix fois plus petite pour l'impression de graphiques que pour le texte, pour de meilleures performances.

-c caractères
    Le nombre d'essais pour sortir un caractère sur l'imprimante avant de se mettre en veille pour -t temps. C'est le nombre de tours de boucle pour essayer d'envoyer un caractère à l'imprimante. 120 semble être une bonne valeur pour les imprimantes en mode polling. 1000 est la valeur par défaut car certaines imprimantes deviennent instables sinon, mais vous devez la configurer à 1 pour gérer l'efficacité de microprocesseur maximale si vous utilisez les interruptions. Avec une imprimante très rapide, 10 pourrait être plus sensé même en mode polling. Avec une très vieille imprimante, vous pouvez choisir une valeur plus grande.

    Définir -t temps à 0 équivaut à définir -c caractères à l'infini.

-w attente
    Le temps d'attente en microseconde lors d'un impact sur le cycle d'horloge. Même si la plupart des imprimantes ont l'air capables de gérer des cycles d'horloge très court, certaines imprimantes ont besoin d'un délai plus important. Augmenter cette valeur du 1 par défaut permet d'imprimer avec ces imprimantes. Cela permet aussi d'utiliser des câbles plus longs. Cette valeur peut aussi être diminuée à 0 si l'imprimante est assez rapide ou que la machine et assez lente.

-a {on|off}
    Indiquer si l'imprimante doit abandonner en cas d'erreur — par défaut elle n'abandonne pas. Si vous êtes a proximité du matériel, vous préférez sans doute pouvoir voir une erreur et la corriger, et laisser l'imprimante continuer l'impression. D'un autre côté, si vous n'êtes pas a proximité, vous pourriez préférer que la file d'attente d'impression se rende compte que l'imprimante n'est pas prête, arrête d'essayer, et vous envoie un courrier à ce sujet. Le choix vous appartient.

-o {on|off}
    Cette option ressemble beaucoup à -a. Elle force toutes les open() de ce périphérique à vérifier que le périphérique est connecté et ne signale pas d'erreurs de manque de papier ou autre. C'est la configuration correcte pour la plupart des versions de lpd.

-C {on|off}
    Cette option ajoute des vérifications d'erreur supplémentaires (« prudentes »). Quand cette option est activée (on), le pilote d'imprimante s'assurera que l'imprimante est connectée et ne signale pas d'erreurs de manque de papier ou autre avant d'envoyer des données. C'est particulièrement utile pour les imprimantes qui on l'air d'accepter normalement des données quand elles sont éteintes.

    Remarque : cette option est obsolète car c'est le comportement par défaut sur le noyau 2.1.131 et les noyaux plus récents.

-s  Cette option renvoie l'état actuel de l'imprimante, à la fois comme un nombre décimal compris entre 0 et 255, et comme une liste d'options actives. Quand cette option est indiquée, -q off, qui désactive l'affichage de l'IRQ actuelle, est sous-entendue.

-T {on|off}
    Cette option est obsolète. Elle a été ajoutées dans le noyau 2.1.131, puis a été retirée dans Linux 2.3.10. Ce qui suit ne concerne que ces noyaux.

    Cette option indique au pilote lp de faire confiance ou non à l'IRQ. Cette option n'a de sens que si les interruptions sont utilisées. Si le pilote lp doit faire confiance à l'IRQ, alors, quand le pilote lp obtiendra une IRQ, il enverra le prochain caractère en attente à l'imprimante sans condition. même si l'imprimante prétend toujours être occupée (BUSY). Le pilote lp détecte automagiquement s'il est possible d'améliorer les performances en définissant cette option, et avertira dans ce cas avec un message du noyau.

    Remarque : faire confiance à l'IRQ est connu pour corrompre l'impression sur certains matériels, vous devez essayer de savoir si l'imprimante fonctionnera ou pas…

-r  Cette option réinitialise le port. Elle nécessite au moins une version 1.1.80 du noyau Linux.

-q {on|off}
    Cette option définie l'impression de l'affichage des réglages d'IRQ actuels.

NOTES
-o, -C et -s nécessitent toutes une version 1.1.76 du noyau Linux ou supérieure.

-C nécessite une version de Linux antérieure à 2.1.131.

-T nécessite une version 2.1.131 de Linux ou supérieure.

BOGUES
À cause d'une malheureuse coïncidence, l'ioctl LPSTRICT de 2.0.36 a le même nombre que l'ioctl LPTRUSTIRQ introduite en 2.1.131. Veuillez donc utiliser l'option -T sur un noyau 2.0.36 avec un tunelp compilé sous 2.1.131 ou supérieur sinon vous pourriez obtenir des effets indésirables.

FICHIERS
/dev/lp?
/proc/parport/*/*

DISPONIBILITÉ
La commande tunelp fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.